package ai.pai.lensman.box;

import java.util.List;

import ai.pai.lensman.session.PhotoBean;
import retrofit2.Call;
import retrofit2.http.Field;
import retrofit2.http.POST;

public interface ApiService {


    @POST("session_start")
    Call<String> startNewSession(@Field("session") String sessionId ,@Field("lensman") String lensmanId);

    @POST("session_end")
    Call<String> endSession(@Field("session") String sessionId, @Field("lensman") String lensmanId);

    @POST("fetch_thumbnail")
    Call<List<PhotoBean>> fetchSessionThumbnails(@Field("session") String sessionId, @Field("lensman") String lensmanId);

    @POST("fetch_origin")
    Call<String> fetchSessionOriginPhoto(@Field("session") String sessionId, @Field("lensman") String lensmanId, @Field("name") String name);


}
